require=(function(){function r(e,n,t){function o(i,f){if(!n[i]){if(!e[i]){var c="function"==typeof require&&require;if(!f&&c)return c(i,!0);if(u)return u(i,!0);var a=new Error("Cannot find module '"+i+"'");throw a.code="MODULE_NOT_FOUND",a}var p=n[i]={exports:{}};e[i][0].call(p.exports,function(r){var n=e[i][1][r];return o(n||r)},p,p.exports,r,e,n,t)}return n[i].exports}for(var u="function"==typeof require&&require,i=0;i<t.length;i++)o(t[i]);return o}return r})()({1:[function(require,module,exports){
/* Autogenerated with Kurento Idl */

/*
 * (C) Copyright 2013-2015 Kurento (http://kurento.org/)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

var inherits = require('inherits');

var kurentoClient = require('kurento-client');

var disguise = kurentoClient.disguise;

var checkType      = kurentoClient.checkType;
var ChecktypeError = checkType.ChecktypeError;


var Transaction = kurentoClient.TransactionsManager.Transaction;

var Filter = kurentoClient.register.abstracts.Filter;


function noop(error, result) {
  if (error) console.trace(error);

  return result
};


/**
 * Create a {@link PlateDetectorFilter} for the given {@link MediaPipeline}
 *
 * @classdesc
 *  PlateDetectorFilter interface. This type of {@link Endpoint} detects
 *  vehicle plates in a video feed.
 *
 * @extends module:core/abstracts.Filter
 *
 * @constructor module:platedetector.PlateDetectorFilter
 *
 * @fires {@link module:platedetector#event:PlateDetected PlateDetected}
 */
function PlateDetectorFilter(){
  PlateDetectorFilter.super_.call(this);
};
inherits(PlateDetectorFilter, Filter);


//
// Public methods
//

/**
 * Configures the average width of the license plates in the image represented 
 * as an image percentage.
 *
 * @alias module:platedetector.PlateDetectorFilter.setPlateWidthPercentage
 *
 * @param {external:Number} plateWidthPercentage
 *  average width of the license plates represented as an image percentage 
 *  [0..1].
 *
 * @param {module:platedetector.PlateDetectorFilter~setPlateWidthPercentageCallback} [callback]
 *
 * @return {external:Promise}
 */
PlateDetectorFilter.prototype.setPlateWidthPercentage = function(plateWidthPercentage, callback){
  var transaction = (arguments[0] instanceof Transaction)
                  ? Array.prototype.shift.apply(arguments)
                  : undefined;

  //  
  // checkType('float', 'plateWidthPercentage', plateWidthPercentage, {required: true});
  //  

  var params = {
    plateWidthPercentage: plateWidthPercentage
  };

  callback = (callback || noop).bind(this)

  return disguise(this._invoke(transaction, 'setPlateWidthPercentage', params, callback), this)
};
/**
 * @callback module:platedetector.PlateDetectorFilter~setPlateWidthPercentageCallback
 * @param {external:Error} error
 */


/**
 * @alias module:platedetector.PlateDetectorFilter.constructorParams
 *
 * @property {module:core.MediaPipeline} mediaPipeline
 *  the parent {@link MediaPipeline} of this {@link PlateDetectorFilter}
 */
PlateDetectorFilter.constructorParams = {
  mediaPipeline: {
    type: 'kurento.MediaPipeline',
    required: true
  }
};

/**
 * @alias module:platedetector.PlateDetectorFilter.events
 *
 * @extends module:core/abstracts.Filter.events
 */
PlateDetectorFilter.events = Filter.events.concat(['PlateDetected']);


/**
 * Checker for {@link module:platedetector.PlateDetectorFilter}
 *
 * @memberof module:platedetector
 *
 * @param {external:String} key
 * @param {module:platedetector.PlateDetectorFilter} value
 */
function checkPlateDetectorFilter(key, value)
{
  if(!(value instanceof PlateDetectorFilter))
    throw ChecktypeError(key, PlateDetectorFilter, value);
};


module.exports = PlateDetectorFilter;

PlateDetectorFilter.check = checkPlateDetectorFilter;

},{"inherits":"inherits","kurento-client":"kurento-client"}],2:[function(require,module,exports){
/**
 * Loader for the kurento-module-platedetector package on the browser
 */

require('.');

},{".":"kurento-module-platedetector"}],"kurento-module-platedetector":[function(require,module,exports){
/* Autogenerated with Kurento Idl */

/*
 * (C) Copyright 2013-2015 Kurento (http://kurento.org/)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * Media API for the Kurento Web SDK
 *
 * @module platedetector
 *
 * @copyright 2013-2015 Kurento (http://kurento.org/)
 * @license ALv2
 */

Object.defineProperty(exports, 'name',    {value: 'platedetector'});
Object.defineProperty(exports, 'version', {value: '6.18.0'});


var PlateDetectorFilter = require('./PlateDetectorFilter');


exports.PlateDetectorFilter = PlateDetectorFilter;

},{"./PlateDetectorFilter":1}]},{},[2]);
